%define         major       0
%define         libname     %mklibname pslib %{major}
%define         develname   %mklibname pslib -d

%define         docfiles    AUTHORS COPYING ChangeLog README

Name:           pslib
Summary:        A C-library for generating multi-pages PostScript documents
Version:        0.4.5
Release:        %mkrel 10
License:        GPLv2
Group:          System/Libraries

URL:            http://pslib.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/pslib/pslib-%{version}.tar.gz
Patch0:		pslib-0.4.5-giflib5.patch

Provides:       %libname = %{version}-%{release}

BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  glib2-devel 
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libungif-devel
BuildRequires:  libtiff-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  docbook-to-man
BuildRequires:  docbook-utils

%description
%{summary}.


%package -n     %{libname}
Summary: %{summary}
Group: %{group}

%description -n %{libname}
Pslib is a C-library for generating multi page PostScript documents. There are
functions for drawing lines, arcs, rectangles, curves, etc. Pslib also provides
very sophisticated functions for text output including hyphenation and kerning.



%package -n     %{develname}
Summary:        Static library and header files for the PSlib library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
%{summary}.



%prep
%setup -q
%patch0 -p1
chmod 644 %docfiles


%build
%configure2_5x
%make CFLAGS="%optflags -lm"


%install
%makeinstall_std


find %{buildroot}%{_libdir} -name *.la -delete
%find_lang %{name}


%files -n %{libname} -f %{name}.lang
%doc %docfiles
%{_libdir}/*.so.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man3/*


%files -n %{develname}
%dir %{_includedir}/libps
%{_includedir}/libps/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*



%changelog
* Sat Feb 06 2016 luigiwalser <luigiwalser> 0.4.5-10.mga6
+ Revision: 939946
- add patch from omdv to fix build with giflib 5

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-9.mga5
+ Revision: 749682
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-8.mga5
+ Revision: 687815
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-7.mga4
+ Revision: 525920
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.4.5-6.mga4
+ Revision: 434973
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 0.4.5-5.mga3
+ Revision: 378282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 0.4.5-4.mga3
+ Revision: 343179
- Fix build failure with new automake

* Mon Nov 05 2012 eatdirt <eatdirt> 0.4.5-3.mga3
+ Revision: 314521
- rebuild for mga3

* Fri Dec 23 2011 fwang <fwang> 0.4.5-2.mga2
+ Revision: 186422
- rebuild for new libtiff

* Fri Dec 09 2011 eatdirt <eatdirt> 0.4.5-1.mga2
+ Revision: 179621
- Upgrade to 0.4.5, .la files removed, specfile cleaned

  + obgr_seneca <obgr_seneca>
    - removed la files

* Tue Sep 20 2011 fwang <fwang> 0.4.1-7.mga2
+ Revision: 146006
- fix build with libpng 1.5
- rebuild for new libpng

* Mon Feb 07 2011 spuhler <spuhler> 0.4.1-6.mga1
+ Revision: 48226
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package pslib

